Lister les organisations
curl --request GET \
--url https://api.devin.ai/v3/enterprise/organizations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/organizations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"created_at": 123,
"max_cycle_acu_limit": 123,
"max_session_acu_limit": 123,
"name": "<string>",
"org_id": "<string>",
"updated_at": 123
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Organisations (Entreprise)
Lister les organisations
Répertorie les organisations dans l’offre Enterprise.
GET
/
v3
/
enterprise
/
organizations
Lister les organisations
Autorisations
ManageOrganizations au niveau Enterprise.Autorisations
Identifiant de compte de service (préfixe : cog_)
Réponse
Réponse réussie
Show child attributes
Show child attributes
Curseur permettant de récupérer la page suivante, ou None s’il s’agit de la dernière page.
Indique s’il reste d’autres éléments après cette page.
Nombre total facultatif (peut être omis pour améliorer les performances).

